Skip to navigation

Find the crypto provider for a saved wallet using a stable requestId; never proves ownership or transfer clearance

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired1-200 characters

Headers

Myaza-VersionstringOptional
X-Request-IdstringOptional<=128 characters

Request

This endpoint expects an object.
requestIdstringRequiredformat: "uuid"
Stable discovery ID. Exact retries never resend an uncertain lookup. Poll this same ID.
versionintegerRequired>=1
currencystringRequiredformat: "^[A-Z0-9._-]{1,30}$"

Response

Success
requestIdstringformat: "uuid"
statusenum
Allowed values:
replayedbooleanOptional
institutionIdstringOptional
institutionNamestring or nullOptional
legalNamestring or nullOptional
checkedAtdatetimeOptional

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
413
Content Too Large Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error